Disable the descheduler¶
When you disable the descheduler, its deployment, ConfigMap, and cluster-scoped RBAC resources are deleted from the cluster.
Note
If you intend to re-enable the policy at a later date, back up
policy.yaml before you disable the descheduler.
Download the MKE configuration file:
curl --silent --insecure -H "Authorization: Bearer $AUTHTOKEN" \ "https://${MKE_HOST}/api/ucp/config-toml" > mke-config.toml
Navigate to the
cluster_config.deschedulerparameter:[cluster_config.descheduler] enabled = true replicas = 2 extra_flags = []
For detailed information on the
cluster_config.deschedulerconfiguration parameter, refer to the configuration options detail.Set
enabledtofalse.Upload the updated MKE configuration file:
curl --silent --insecure -X PUT -H "accept: application/toml" \ -H "Authorization: Bearer $AUTHTOKEN" \ --upload-file mke-config.toml \ "https://${MKE_HOST}/api/ucp/config-toml"
Wait for cluster reconciliation and then run the following commands:
kubectl get deployment,configmap,sa -n kube-system \ 2>/dev/null | grep -E 'ucp-descheduler|NAME' || true kubectl get clusterrole,clusterrolebinding 2>/dev/null \ | grep ucp-descheduler || true
Confirm from the output that the following items are no longer present:
ucp-deschedulerdeploymentucp-descheduler-policyConfigMapucp-deschedulercluster-scoped RBAC objects